Bug 222306 - BUG: unable to handle kernel NULL pointer dereference sysfs_hash_and_remove+0x18/0x116
BUG: unable to handle kernel NULL pointer dereference sysfs_hash_and_remove+0...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-11 10:59 EST by Orion Poplawski
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.6.19-1.2895.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-25 11:29:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Full dmesg output (28.46 KB, application/octet-stream)
2007-01-11 10:59 EST, Orion Poplawski
no flags Details

  None (edit)
Description Orion Poplawski 2007-01-11 10:59:34 EST
Description of problem:

Seeing this at boot on a Dell Latitude D620 with all FC6 kernels up to
2.6.19-1.2888.fc6debug.  It appears to shut down the USB subsystem somewhat in
that USB thumbdrives are not handled properly.  USB keyboard continues to work
though.

When attaching the usb device I get:

Jan 10 16:58:26 moa kernel: usb 5-8.2.2: new full speed USB device using
ehci_hcd and address 7

but that's it.

BUG output:

BUG: unable to handle kernel NULL pointer dereference at virtual address 00000017
 printing eip:
c04b53e3
*pde = 00000000
Oops: 0000 [#1]
SMP
last sysfs file: /devices/system/cpu/cpu0/cache/index2/shared_cpu_map
Modules linked in: rfcomm l2cap bluetooth sunrpc cpufreq_ondemand dm_mirror
dm_multipath dm_mod video sbs i2c_ec dock button battery asus_acpi ac ipv6
parport_pc lp parport joydev snd_hda_intel snd_hda_codec snd_seq_dummy
snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device sg ide_cd snd_pcm_oss
snd_mixer_oss cdrom iTCO_wdt snd_pcm snd_timer serio_raw snd soundcore
snd_page_alloc pcspkr tg3 i2c_i801 i2c_core ata_piix libata sd_mod scsi_mod ext3
jbd ehci_hcd ohci_hcd uhci_hcd
CPU:    0
EIP:    0060:[<c04b53e3>]    Not tainted VLI
EFLAGS: 00010286   (2.6.19-1.2888.fc6debug #1)
EIP is at sysfs_hash_and_remove+0x18/0x116
eax: fffffff3   ebx: c06bc058   ecx: 00000003   edx: fffffff3
esi: fffffff3   edi: fffffff3   ebp: de625184   esp: df3b2e40
ds: 007b   es: 007b   ss: 0068
Process pcscd (pid: 2688, ti=df3b2000 task=dd782030 task.ti=df3b2000)
Stack: c0665957 fffffff3 de625184 c06bc058 fffffff3 fffffff3 de625184 c04b75f5
       c06bc04c ddd7611c c04b765b ddd76044 ddd7618c ddd76044 ddd76044 ddd70cf4
       c05632b6 ddd7611c c055e93d ddd76044 ddd723d8 00000001 dee14b08 c055e96c
Call Trace:
 [<c04b75f5>] remove_files+0x15/0x1e
 [<c04b765b>] sysfs_remove_group+0x5d/0x75
 [<c05632b6>] device_pm_remove+0x32/0x70
 [<c055e93d>] device_del+0x173/0x19a
 [<c055e96c>] device_unregister+0x8/0x10
 [<c0594f60>] usb_remove_ep_files+0x5b/0x6d
 [<c0594a3a>] usb_remove_sysfs_intf_files+0x1d/0x54
 [<c059209d>] usb_set_interface+0xea/0x171
 [<c059309d>] usb_unbind_interface+0x44/0x5f
 [<c05602fd>] __device_release_driver+0x60/0x78
 [<c05606ac>] device_release_driver+0x32/0x48
 [<c0593177>] usb_driver_release_interface+0x3c/0x7d
 [<c0595292>] releaseintf+0x4b/0x5b
 [<c0597bd2>] usbdev_release+0x6e/0xb4
 [<c047cdba>] __fput+0xba/0x190
 [<c047a752>] filp_close+0x52/0x59
 [<c047b6f2>] sys_close+0x73/0xaa
 [<c0404083>] syscall_call+0x7/0xb
 [<00919402>] 0x919402
 =======================
Code: eb 0d 8b 43 20 8b 40 3c eb 05 8b 43 14 8b 00 5a 59 5b c3 55 57 56 53 83 ec
0c 85 c0 89 44 24 04 89 14 24 0f 84 f3 00 00 00 89 c2 <8b> 40 24 85 c0 0f 84 e6
00 00 00 8b 52 6c 05 8c 00 00 00 89 54
EIP: [<c04b53e3>] sysfs_hash_and_remove+0x18/0x116 SS:ESP 0068:df3b2e40
Comment 1 Orion Poplawski 2007-01-11 10:59:34 EST
Created attachment 145362 [details]
Full dmesg output
Comment 2 Pete Zaitcev 2007-01-12 20:11:18 EST
For the same bug in RHEL 5, see 221872.
Comment 3 Orion Poplawski 2007-01-25 11:29:45 EST
Fixed in 2.6.19-1.2895.fc6

Note You need to log in before you can comment on or make changes to this bug.